# XQilla DOM3 API Documentation

# XQillaExpression Class Reference

The `XQillaExpression` interface extends the `DOMXPathExpression` interface, providing the ability to release the object. More...

`#include <XQillaExpression.hpp>`

Inheritance diagram for XQillaExpression:
[legend]

List of all members.

## Public Member Functions

Non-standard Extension
virtual void | release ()=0
| Called to indicate that this object (and its associated children) is no longer in use and that the implementation may relinquish any resources associated with it and its associated children.

## Detailed Description

The `XQillaExpression` interface extends the `DOMXPathExpression` interface, providing the ability to release the object.

The evaluate method will always return an object of type `XPath2Result`

Since:
  DOM Level 3

## Member Function Documentation

virtual void XQillaExpression::release | ( |  | ) | `[pure virtual]`

Called to indicate that this object (and its associated children) is no longer in use and that the implementation may relinquish any resources associated with it and its associated children.

Access to a released object will lead to unexpected result.

Implements xercesc::DOMXPathExpression.

The documentation for this class was generated from the following file:

- XQillaExpression.hpp